usbutils (1:013-2) unstable; urgency=medium

  * Do not depends on usb.ids.
  * Break packages that used to depend on usbutils to get usb.ids.
  * Update lsusb manpage to mention that the udev's hardware database is
    used to associate a full human-readable name to the vendor ID and the
    product ID.  Closes: #979153.
  * Update debian/copyright.
  * Bump Standards-Version to 4.5.1.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 22 Jan 2021 19:26:14 +0100

usbutils (1:013-1) unstable; urgency=medium

  * New upstream version:
    - Don't return bogus sysfs data for devices under a hub.  Closes:
      #968358.
    - Drop debian/patches/01-lsusb.8.in-do-not-mention-usb.ids.patch,
      upstreamed.
  * Bump debian/compat to 13 using the declarative form.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Oct 2020 23:32:18 +0100

usbutils (1:012-2) unstable; urgency=medium

  * Add debian/patches/01-lsusb.8.in-do-not-mention-usb.ids.patch to drop
    mention of usb.ids in lsusb(8).  Closes: #941421.
  * debian/copyright: fix download location.  Closes: #941477.
  * Bumped Standards-Version to 4.4.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 01 Oct 2019 23:03:11 +0200

usbutils (1:012-1) unstable; urgency=medium

  * New upstream version.
  * Bump debian/compat to 12.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 08 Jul 2019 00:05:12 +0200

usbutils (1:010-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Seed compiler for usbreset from buildtools.mk. Closes:
    #922816.

  [ Aurelien Jarno ]
  * Build usbreset with LDFLAGS.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Feb 2019 13:55:34 +0100

usbutils (1:010-2) unstable; urgency=medium

  * Upload to unstable.
  * Drop debian/patches/04-libusb_get_string_descriptor.diff, useless now
    that this package is linux-only.
  * Bumped Standards-Version to 4.3.0 (no changes).
  * Set Rules-Requires-Root to no.
  * Temporarily depend on usb.ids even if not used by lsusb, as some packages
    depends on usbutils to get access to this file.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Feb 2019 23:35:25 +0100

usbutils (1:010-1) experimental; urgency=medium

  * New upstream version:
    - Drop debian/patches/01-import-usbreset-from-git.diff.
    - Drop debian/patches/02-usb-reset-stdlib-include.diff.
  * Bumped Standards-Version to 4.1.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 19 May 2018 00:04:24 +0200

usbutils (1:009-2) experimental; urgency=medium

  * Drop the udeb package.
  * Bumped Standards-Version to 4.1.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Dec 2017 13:59:53 +0100

usbutils (1:009-1) experimental; urgency=medium

  * New upstream version:
    - Build usbreset.  Closes: #554122.
  * Switch to debhelper 10.
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 25 Nov 2017 23:32:52 +0100

usbutils (1:008-1) experimental; urgency=medium

  * New upstream version.  Closes: #798148.
  * Build-depends on libudev-dev and change the architecture to linux-any.
  * Uses the systemd database, therefore drops usb.ids and related
    utilities.  Closes: #544503.
  * Drop patches applied upstream and refresh remaining ones.
  * Upload to experimental.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 May 2016 23:17:53 +0200

usbutils (1:007-4) unstable; urgency=medium

  * Rewrite debian/rules to use dh.
  * Add homepage field pointing to github. Leave the watch file to the
    kernel.org website, as the tarballs from github are not usable.
    Closes: #798147.
  * Update usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Sep 2015 13:58:23 +0200

usbutils (1:007-3) unstable; urgency=medium

  * Update usb.ids.  Closes: #794954.
  * Install usbhid-dump.8.  Closes: #737612.
  * Add 05-lsusb-t-handle-problem-if-there-is-no-usb-bus-list.diff from
    upstream to fix a segmentation fault with empty USB busses.  Closes:
    #742785.
  * Don't generate md5sum for usb.ids. Thanks to Sebastian Schmidt for
    the idea.  Closes: #774062.
  * Improve update-usbids.8.  Thanks to François Marier.  Closes: #750960.
  * Pass -n to gzip to compress usb.ids.
  * Add watch file.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 08 Aug 2015 23:10:34 +0200

usbutils (1:007-2) unstable; urgency=low

  * Add 03-am-maintainer-mode.diff, 04-libusb_get_string_descriptor.diff
    and 99-autoreconf.diff to support libusb 1.0 versions without
    libusb_get_string_descriptor().
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 10 Jun 2013 17:27:41 +0200

usbutils (1:007-1) unstable; urgency=low

  * New upstream version.  Closes: #711579.
    - Remove 01-update-usb-ids.diff, 02-usbdevices-quotes.diff.
    - Add 02-ccid-typo.diff to fix a typo.
  * Suggests lynx-cur instead of lynx.  Closes: #710583.
  * Fix update-usbids manpage.  Closes: #675089.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 10 Jun 2013 00:59:14 +0200

usbutils (1:006-1) unstable; urgency=low

  * New upstream version:
    - Remove 02-am-maintainer-mode.diff, 03-pkgconfig.diff,
      04-missing-includes.diff, 05-debian-usb-ids.diff,
      06-usb-devices-manpages.diff and 99-relibtoolize.diff.
  * Add debian/patches/02-usbdevices-quotes.diff to fix quoting issues
    in usb-devices.  Closes: #694043.
  * Update usb.ids.  Closes: #696527.
  * Set usbutils package as Multi-Arch: foreign.  Closes: #697775.
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support.
  * Compress .deb with xz.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 23:14:16 +0200

usbutils (1:005-3) unstable; urgency=low

  * Update usb.ids.
  * Add an entry for Bamboo Pen.  Closes: #669050.
  * Fix a typo in usb-devices (1).  Closes: #646167.
  * Bumped Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 18:48:45 +0200

usbutils (1:005-2) unstable; urgency=low

  * Add an entry for Huawei E173.  Closes: #654195.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 Jan 2012 13:48:31 +0100

usbutils (1:005-1) unstable; urgency=low

  * New upstream release.
  * Update usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Dec 2011 20:26:01 +0100

usbutils (1:004-2) unstable; urgency=high

  * Install usbutils.pc in the correct path.  Closes: #639717.
  * Set severity to high, as the bug affects testing.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 29 Aug 2011 20:43:24 +0200

usbutils (1:004-1) unstable; urgency=low

  * New upstream release.
  * Use .xz for the debian.tar file.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 27 Aug 2011 17:59:40 +0200

usbutils (1:003-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.9.2 (no changes).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Aug 2011 23:18:04 +0200

usbutils (1:001-1) unstable; urgency=low

  * New upstream version, with new version numbering system.
  * Switch build-dependencies from libusb-dev to libusb-1.0-0-dev.
  * Update usb.ids.
  * Fix 13fe:3100 entry, 4GB versions of the device also exists.
    Closes: bug#599817.
  * Bumped Standards-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 13:32:44 +0100

usbutils (0.87-5) unstable; urgency=low

  * Update usb.ids.  Closes: bug#587379.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Jun 2010 06:13:12 +0200

usbutils (0.87-4) unstable; urgency=low

  * Update usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Jun 2010 09:00:46 +0200

usbutils (0.87-3) unstable; urgency=low

  * Fix DFU version endianness.  Closes: bug#582954.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 May 2010 00:05:31 +0200

usbutils (0.87-2) unstable; urgency=low

  * Update usb.ids.
  * Fix 16c0:05dc entry.  Closes: bug#582460.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 May 2010 22:07:37 +0200

usbutils (0.87-1) unstable; urgency=low

  * New upstream version.
  * Update usb.ids.  Closes: bug#573734.
  * Update README.Debian to reflect the new way to submit new usb.ids
    entries.
  * Backport a patch from upstream to decode USB 3 endpoint companion
    descriptors.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Apr 2010 12:00:59 +0200

usbutils (0.86-4) unstable; urgency=low

  * Correctly dump CCID info now that it is an official USB class and
    that devices start to use it with non-tagged descriptors.  Closes:
    bug#569783.
  * Update usb.ids.
  * Bumped Standards-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Feb 2010 15:51:01 +0100

usbutils (0.86-3) unstable; urgency=low

  * Update usb.ids:
    - Add Logitech Webcam C200 (046d:0802).  Closes: bug#564035.
    - Add Verbatim External Hard Drive (18a5:0216).  Closes: bug#563085.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Jan 2010 21:18:36 +0100

usbutils (0.86-2) unstable; urgency=low

  * Install the usbutils.pc in the correct directory.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 23 Aug 2009 23:42:04 +0200

usbutils (0.86-1) unstable; urgency=low

  * New upstream version:
    - usb-devices has been to /usr/bin (closes: bug#539582).
  * Update usb.ids from upstream.
  * Bumped Standards-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 18 Aug 2009 06:55:29 +0200

usbutils (0.84-1) unstable; urgency=low

  * New upstream version (closes: bug#539484).
  * Bumped Standards-Version to 3.8.2 (no changes).
  * Add 147a:e017 and 14b2:3c05 entries to usb.ids (closes: bug#531274).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 01 Aug 2009 16:40:48 +0200

usbutils (0.82-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 May 2009 08:59:51 +0000

usbutils (0.81-1) unstable; urgency=low

  * New upstream version.
    - Device tree option works with usbfs not mounted (closes: bug#498723).
  * Improve manpage (closes: bug#506800).
  * usb.ids:
    - Fix entry about Netgear WG111 (0846:4240) (closes: bug#500706).
    - Add Hewlett-Packard LaserJet P1005 (03f0:3d17) (closes: bug#525629).
    - Add Benq X120 Internet Keyboard Pro (0d62:001c) (closes: bug#525628).
    - Add Dexon Mouse (15d9:0a33) (closes: bug#525582).
  * Bumped Standards-Version to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Apr 2009 23:24:30 +0200

usbutils (0.73-10) unstable; urgency=low

  * Fix a typo in README.Debian.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 Aug 2008 01:03:10 +0200

usbutils (0.73-9) unstable; urgency=low

  * Update usb.ids.
  * Add a README.Debian explaining how to submit new USB ID's.
  * Bumped Standards-Version to 3.8.0 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 22:47:04 +0200

usbutils (0.73-8) unstable; urgency=low

  * Update usb.ids.
  * Add CCU-550 USB modem to usb.ids (closes: bug#480484).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 May 2008 14:24:32 +0200

usbutils (0.73-7) unstable; urgency=low

  * Fix the last changelog entry, no code change.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 03 Mar 2008 14:42:52 +0100

usbutils (0.73-6) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3 (no changes).
  * Relax build-dependency on libusb-dev.
  * Rework debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Mar 2008 19:06:45 +0100

usbutils (0.73-5) unstable; urgency=low

  * Fix broken link in /usr/share/misc/ (closes: bug#453363).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Nov 2007 10:11:17 +0100

usbutils (0.73-4) unstable; urgency=low

  * Don't gzip usb.ids for the .deb package, as hal will use this file
    and relies on it being non-gzipped (closes: bug#448803).
  * usb.ids is still gzipped in the .udeb package.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 08 Nov 2007 14:33:14 +0100

usbutils (0.73-3) unstable; urgency=low

  * Use endian.h instead of asm/byteorder.h. Fix build on non-linux
    systems.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 24 Oct 2007 15:01:21 +0200

usbutils (0.73-2) unstable; urgency=low

  * Reupload the correct version (closes: bug#447851).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 24 Oct 2007 11:51:20 +0200

usbutils (0.73-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 24 Oct 2007 00:44:38 +0200

usbutils (0.72-9) unstable; urgency=low

  * Update usb.ids.
  * Add Bison Acer Orbicam to usb.ids (closes: bug#425717).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 Sep 2007 11:53:14 +0200

usbutils (0.72-8) unstable; urgency=low

  * Remove support for 2.4 kernels.
  * Update the description (closes: bug#415411).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 13 Apr 2007 16:18:51 +0200

usbutils (0.72-7) unstable; urgency=medium

  * Fix a typo in usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 10 Oct 2006 11:30:48 +0200

usbutils (0.72-6) unstable; urgency=low

  * Added "HP DeskJet 6840" to usb.ids (closes: bug#382487).
  * Added "Topro USB Mouse" and "Creative Labs Optical Mouse"
    to usb.ids (closes: bug#387120).

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  8 Oct 2006 18:01:44 +0200

usbutils (0.72-5) unstable; urgency=low

  * Added support for gzipped usb.ids files. This reduces the udeb unpacked
    size by 100 kB.
  * Updated usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  2 Aug 2006 11:52:27 +0200

usbutils (0.72-4) unstable; urgency=low

  * Fix the parsing of bus number >= 08 in tree mode (closes: bug#373764).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Jun 2006 16:15:32 +0200

usbutils (0.72-3) unstable; urgency=low

  * This time, don't ship an empty deb package (closes: bug#368014).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 19 May 2006 17:08:30 +0000

usbutils (0.72-2) unstable; urgency=high

  * Don't ship an empty udeb package.
  * Bumped Standards-Version to 3.7.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 17 May 2006 00:23:07 +0000

usbutils (0.72-1) unstable; urgency=low

  * New upstream version:
    - usbmodules has been removed from upstream tarball. Continue to
      maintain it in Debian, to support Sarge -> Etch upgrades.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 23 Apr 2006 11:36:11 +0200

usbutils (0.71+cvs20051029-5) unstable; urgency=low

  * Use the new debhelper features to set dependencies for udeb. Thanks
    to Frans Pop for the patch (closes: bug#360350).

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  1 Apr 2006 23:48:35 +0200

usbutils (0.71+cvs20051029-4) unstable; urgency=low

  * Updated usb.ids.
  * Added "HL-1430 Laser Printer".

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  3 Dec 2005 00:15:41 +0100

usbutils (0.71+cvs20051029-3) unstable; urgency=low

  * Added a note that usbmodules is not useful on 2.4 kernels (closes:
    bug#340548).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 24 Nov 2005 20:07:13 +0100

usbutils (0.71+cvs20051029-2) unstable; urgency=low

  * Fix usb.ids location in lsusb man page (closes: bug#338854).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Nov 2005 15:52:08 +0100

usbutils (0.71+cvs20051029-1) unstable; urgency=low

  * CVS snapshot:
    - Support for video terminal tag added (closes: bug#336296).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Oct 2005 12:36:07 +0200

usbutils (0.71-7) unstable; urgency=low

  * Fixed URL in debian/copyright (closes: bug#336039).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 28 Oct 2005 01:20:54 +0200

usbutils (0.71-6) unstable; urgency=low

  * README.Debian is not really useful, remove it (closes: bug#329261).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 20 Sep 2005 23:12:47 +0200

usbutils (0.71-5) unstable; urgency=low

  * Fixed parsing of bVoltageSupport. Thanks to Ludovic Rousseau for the patch
    (closes: bug#314478).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2005 07:44:33 +0200

usbutils (0.71-4) unstable; urgency=low

  * Added KOBIL to usb.ids (closes: bug#314454).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jun 2005 15:04:43 +0200

usbutils (0.71-3) unstable; urgency=low

  * Makes udeb depending on libusb-0.1-udeb instead of libusb-0.1-udeb
    instead of libusb-0.1-4.

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  5 Jun 2005 22:55:54 +0200

usbutils (0.71-2) unstable; urgency=low

  * Also produce an udeb package. Patch by Colin Watson (closes:
    bug#311653).
  * Added fix for dpkg-dev >= 1.13.2 (closes: bug#311655).
  * Added HP OfficeJet 5510 to usb.ids (closes: bug#311656).

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  2 Jun 2005 17:15:02 +0200

usbutils (0.71-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 May 2005 00:28:37 +0200

usbutils (0.70-8) unstable; urgency=low

  * Added some webcams to usb.ids (closes: bug#305022).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 22 Apr 2005 19:14:16 +0200

usbutils (0.70-7) unstable; urgency=low

  * Fixed USB IDs for Zaurus C-860 (closes: bug#304818).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Apr 2005 00:24:19 +0200

usbutils (0.70-6) unstable; urgency=low

  * Added Labtec Wireless Optical Mouse to usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 15 Apr 2005 12:15:59 +0200

usbutils (0.70-5) unstable; urgency=low

  * Only suggests wget or lynx instead of depending on it
    (closes: bug#30492).

 -- Aurelien Jarno <aurel32@debian.org>  Fri,  1 Apr 2005 08:04:08 +0200

usbutils (0.70-4) unstable; urgency=low

  * Fixed manpage (closes: bug#302144).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 30 Mar 2005 12:19:08 +0200

usbutils (0.70-3) unstable; urgency=low

  * Updated usb.ids
  * Read USB IDs as hexa instead of autodetecting.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Mar 2005 19:58:24 +0200

usbutils (0.70-2) unstable; urgency=low

  * Only build usbmodules on systems using a Linux kernel.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Mar 2005 18:13:49 +0100

usbutils (0.70-1) unstable; urgency=medium

  * New upstream version. This is basically the same as the CVS version
    used before, with some autoconf/automake update as well as gcc 4.0
    fixes. It only makes official changes that were already in the Debian
    package.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 23 Jan 2005 14:54:53 +0100

usbutils (0.11+cvs20041108-1) unstable; urgency=medium

  * New CVS version.
  * Set umask before downloading a new usb.ids (closes: bug#280232).

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  8 Nov 2004 16:33:32 +0000

usbutils (0.11+cvs20041016-5) unstable; urgency=high

  * Fixed postinst so no error message is output (closes: bug#279217).

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  1 Nov 2004 14:36:20 +0000

usbutils (0.11+cvs20041016-4) unstable; urgency=high

  * Fixed update-usbids (closes: bug#278935).
  * Move /usr/share/misc/usb.ids.old to /var/lib/usbutils during postinst
    (closes: bug#278936).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Oct 2004 19:45:29 +0000

usbutils (0.11+cvs20041016-3) unstable; urgency=high

  * Moved usb.ids to /var/lib/usbutils to be FHS compliant (closes:
    bug#278480).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Oct 2004 09:54:27 +0000

usbutils (0.11+cvs20041016-2) unstable; urgency=high

  * Moved usb.ids to /var/share/misc (closes: bug#278480).
  * Added a symlink in /usr/share/misc for backward compatibility.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Oct 2004 07:55:06 +0000

usbutils (0.11+cvs20041016-1) unstable; urgency=low

  * New CVS version:
    - USB 2.0 updates for dual-speed and OTG devices, hubs.
    - Display all descriptors in the right sequence, and dump ones
      we don't (yet) recognize.
    - Minor cleanups.
    - usb.ids updated.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 16 Oct 2004 14:28:18 +0200

usbutils (0.11+cvs20040318-3) unstable; urgency=low

  * Read the HID descriptors table using USB_RECIP_INTERFACE instead of
    USB_RECIP_DEVICE (closes: bug#247726).
  * Claim an interface before reading data from it.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 11 Jun 2004 23:27:39 +0200

usbutils (0.11+cvs20040318-2) unstable; urgency=low

  * Added symlinks for manpages:
    - lsusb(1) -> lsusb(8)
    - usbmodules(1) -> usbmodules(8)

 -- Aurelien Jarno <aurel32@debian.org>  Wed,  5 May 2004 08:59:01 +0200

usbutils (0.11+cvs20040318-1) unstable; urgency=medium

  * New CVS version including the previous changes.
  * Allow empty line in map files (closes: bug#247264).

 -- Aurelien Jarno <aurel32@debian.org>  Tue,  4 May 2004 11:32:53 +0200

usbutils (0.11+cvs20040313-2) unstable; urgency=low

  * Fixed a typo in the help message (closes: bug#245414).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 23 Apr 2004 09:25:03 +0200

usbutils (0.11+cvs20040313-1) unstable; urgency=low

  * New version from CVS.
  * Applied patch from Lee Maguire to support reporting of keyboard
    country type (closes: bug#237015).
  * Updated usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Mar 2004 00:32:59 +0100

usbutils (0.11-8) unstable; urgency=low

  * Applied patch from David Brownell to dump more information on HUB
    devices.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Feb 2004 12:05:39 +0100

usbutils (0.11-7) unstable; urgency=low

  * Added a dependency on wget (>= 1.8.1-6) | lynx (>= 2.8.4.1b-3) as
    update-usbids needs to download files (closes: bug#224679).
  * Updated usb.ids.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 29 Dec 2003 14:36:37 +0100

usbutils (0.11-6) unstable; urgency=low

  * Added a patch to access the USB devices through libusb instead of
    directly through the kernel (closes: bug#135288). The patch has
    also been integrated by the upstream in his repository.
  * Updated manpages consequently (closes: bug#222237).
  * Added symlinks to /usr/bin, as usbmodules and lsusb can now be run
    by an unprivileged user, even the verbosity is higher in root mode.

 -- Aurelien Jarno <aurel32@debian.org>  Sat,  6 Dec 2003 19:54:44 +0100

usbutils (0.11-5) unstable; urgency=low

  * Fixed a bug which could occurs when getting descriptors from HID
    devices.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Nov 2003 20:18:14 +0100

usbutils (0.11-4) unstable; urgency=low

  * Don't query language IDs descriptors if the device doesn't contains
    any string.
  * Fixed some typos in manpages.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Nov 2003 18:56:28 +0100

usbutils (0.11-3) unstable; urgency=low

  * Moved usb.ids to /usr/share/misc so that other packages could use it.
    (closes: bug#184894).
  * Added a script to update usb.ids (closes: bug#204879).
  * Don't build libusb. This is better than building it and removing the
    corresponding files later. That remove the call of an old configure
    file (closes: bug#201934).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 24 Oct 2003 23:24:14 +0200

usbutils (0.11-2) unstable; urgency=low

  * New maintainer (closes: bug#217119).
  * Fixed a bug causing a "cannot get report descriptor" error on hid
    devices. Thanks to Loïc Dachary for the patch (closes: #215907).
  * Updated usb.ids.
  * debian/control
    + Depends on ${misc:Depends}
  * Uses autotools-dev to update config.{guess,sub}.
  * Uses debian/compat instead of DH_COMPAT.
  * Upgraded policy compliance to 3.6.1.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 23 Oct 2003 20:36:01 +0200

usbutils (0.11-1) unstable; urgency=low

  * Special Thanks to Andreas Metzler <ametzler@downhill.at.eu.org> for
    this update.
  * New upstream 0.11: (Closes: #62182) - "lsusb don't work under ordinary
    user"
  * update usb.ids from master file http://linux-usb.sourceforge.net/usb.ids
    (Closes: #147851) - "usb.ids very very old" and (Closes: #79574) "MOTU
    FastLane not included in usb.ids file".
  * patch manpage to list correct location of usb.ids-file on Debian.
    (Closes: #130682)

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 13 Mar 2003 20:00:00 -0600

usbutils (0.9-1) unstable; urgency=high

  * New Upstream.
  * Bug was in users usb.usermap file (Closes: #102881)
  * Fixed config.guess config.sub (Closes: #111469)

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 23 Nov 2001 21:59:19 -0600

usbutils (0.8-1) unstable; urgency=low

  * New Maintainer.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 13 Jun 2001 11:20:06 -0500

usbutils (0.6-2) unstable; urgency=low

  * Added #!/bin/sh to postinst of libusb0. (closes: #58588)

 -- Raphael Bossek <bossekr@debian.org>  Tue,  7 Mar 2000 16:10:14 +0100

usbutils (0.6-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Sun,  9 Jan 2000 13:13:30 +0100

Local variables:
mode: debian-changelog
End:
